1. Send message
Ant CRM API
  • Leads
    • Create Lead
      POST
    • Get Leads
      GET
  • Users
    • Get users
      GET
    • Get user details
      GET
  • Whatsapp
    • Send message
      • Template message
        POST
      • Text message
        POST
      • Media message
        POST
    • Get messages
      GET
  1. Send message

Media message

POST
/api/v1/whatsapp/messages/

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Query Params

Body Params multipart/form-dataRequired

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.antcrm.co/api/v1/whatsapp/messages/?phone_number=919876543210&client=1319f398-2802-4009-872c-b57cf2f1c1b5' \
--header 'Authorization: Basic <encoded-value>' \
--form 'type="image or video or document or audio"' \
--form 'message_text="Hello, please check out this file."' \
--form 'attachment=@""'
Response Response Example
{}
Modified at 2026-03-15 16:53:46
Previous
Text message
Next
Get messages
Built with